%define name kgutenbook
%define version 0.5.5
%define release 1rh6x
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE port of Gutenbook.
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: X11/KDE/Applications
Copyright: GPL
Packager: Brian Wright
Source0: %{name}-%{version}.tar.bz2
URL: http://www.llornkcor.com/software.htm
BuildRoot: /tmp/build-%{name}-%{version}

%description
Kgutenbook is a KDE port of the Perl script gutenbook, to download 
and read free e-texts from Project Gutenberg using a booklike 
interface that contains no scrollbars. Pagination comes from keyboard
commands and mouse buttons.

%prep
rm -rf %{builddir}

%setup -n %{name}-%{version}
touch `find . -type f`

%build
export QTDIR=/usr/lib/qt-1.44

if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$KDEDIR
make

%install
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%doc AUTHORS COPYING TODO ChangeLog INSTALL README

%changelog
* Tue Mar 21 2000 Brian Wright <bdw@aturna.com>
- Initial build for KDE 1.1.2 for RedHat 6.x using /opt/kde
